Subject: Re: rebase for setup (curl)
From: Jason Tishler <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: Cygwin <[email-masked]>, "Roth, Kevin P." <[email-masked]>
Date: Mon, 7 Jan 2002 09:34:58 -0500

Rob,

On Sat, Jan 05, 2002 at 09:42:57AM +1100, Robert Collins wrote:
> ----- Original Message -----
> From: "Jason Tishler" <[email-masked]>
> > I decided to table the search for the "offending" ld option(s) because
> > of the following gloomy thought:
> >
> >     Given that rebase can break certain DLLs and that it is nearly
> >     impossible to control how arbitrary packages create their DLLs,
> >     can setup.exe's proposed rebase solution deal with this problem?
> >     Or, is the rebase solution doomed to failure?
> 
> Time for a 2c opinion.
> 
> Looks like something is broken with dllwrap->ld interaction. Does
> adding --shared fix this? Or perhaps the -Wl,--dll should be replaced
> with --shared...
> 
> [snip]

False alarm or the boy who cried wolf...

I just built pq.dll and cygcurl-2.dll using their standard makefiles
and they were rebase-able.  This explains why my gcc -shared experiment
"worked" last week.

However, the pq.dll (and other PostgreSQL 7.1.3 DLLs) that I built over
the summer with an older (i.e., previous?) version of gcc/binutils is
not rebase-able.

So, with the latest tools there does *not* seem to be a problem.

Kevin, what version of gcc/binutils are you using?  Are they the latest?

Thanks,
Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/